Name:     ly
Version:  0.1
Release:  1%{?dist}
Summary:  A ncurses display manager

License:  WTFPL
URL:      https://github.com/cylgom/%{name}
Source0:  %{url}/archive/%{version}.tar.gz
Patch0:   ly-0.1-makefile_fix_install_call.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  ncurses-devel
BuildRequires:  pam-devel
BuildRequires:  libX11-devel
Requires:       ncurses
Requires:       systemd
Requires:       pam
Requires:       xorg-x11-xinit
Requires:       xorg-x11-xauth

%description
Lightweight login/display manager for linux made with ncurses designed to be
simple, modular and highly configurable.

%prep
%setup -q
%patch0

%build
make %{?_smp_mflags}

%install
%make_install

%files
%license LICENSE.md
%doc README.md
%{_sysconfdir}/ly/xsetup.sh
%{_bindir}/ly
/usr/lib/systemd/system/ly.service

%changelog
* Sat Aug 11 2018 Timothée Floure <fnux@fedoraproject.org> - 0.1-1
- Let there be package
